/***************************************************************************
 * ktabeditsettings.h: implementation of KTabEditSettings class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2007- the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef KTABEDITSETTINGS_H
#define KTABEDITSETTINGS_H

#include <header.h>

class KtabEditSettings : public KConfigSkeleton {
public:
	KtabEditSettings();
	
	static QString noteName(int);
	static QString maj7Name();
	static QString flatName();
	static QString sharpName();
	
	static QString midiName();
	static QString midiPort();
	static int midiPortNumber();
	static bool midiReadable();
	static bool midiWriteable();
	static bool midiTimidity();
	
	static int texTabSize();
	static bool texShowBarNumber();
	static bool texShowStr();
	static bool texShowPageNumber();
	static bool texExportMode();
	
	static int printingStyle();
	static int melodyEditorInlay();
	static int melodyEditorAction(int num);
	static bool melodyEditorAdvance(int num);
	
	static QString timidityPath();
	static int timidityBuffer();
	static int timidityFragment();
	static QString timidityOutput();
	static QString timidityChorus();
	static QString timidityDelay();
	static QString timidityReverb();
	static QString timidityVlpf();
	static int timidityNoise();
	static QString timidityResamp();
	static int timidityFrequency();
	static bool timidityRealTimeEnable();
	static int timidityRealTime();
	
	static bool assistant();
	
	static QString titleFont();
	static QFont::Weight titleWeight();
	static bool titleItalic();
	static int titleSize();
	
	static QString subTitleFont();
	static QFont::Weight subTitleWeight();
	static bool subTitleItalic();
	static int subTitleSize();
	
	static QString textAndTabFont();
	static QFont::Weight textAndTabWeight();
	static bool textAndTabItalic();
	static int textAndTabSize();
	
	static QString timeSignatureFont();
	static QFont::Weight timeSignatureWeight();
	static bool timeSignatureItalic();
	static int timeSignatureSize();
	
private:
	static QString noteNames[9][12];
};

#endif
